<?php
/* Autor...:  */
/* Esquema.: FCO_CierreAplicacionTipo.xml */
/* Generado: 2020-08-18 04:21:25 */

/* Metodos de acceso a los campos de la tabla FCO_CierreAplicacionTipo */
abstract class BaseFCO_CierreAplicacionTipoBN
{
    /* Campos de la tabla */
    private $i_IdCierre;    // IdCierre: ( no definido )
    private $i_IdTipoPago;    // IdTipoPago: ( no definido )
    private $s_IdMoneda;    // IdMoneda: ( no definido )
    private $s_MonedaDes;    // MonedaDes: ( no definido )
    private $i_CierreCantTrans;    // CierreCantTrans: ( no definido )
    private $f_CierreMontoTrans;    // CierreMontoTrans: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdCierre */
    public function setIdCierre( $i_IdCierre )
    {
        $this->i_IdCierre = $i_IdCierre;
    }

    /* Obtiene el valor del campo IdCierre */
    public function getIdCierre()
    {
        return $this->i_IdCierre;
    }

    /* Establece el valor del campo IdTipoPago */
    public function setIdTipoPago( $i_IdTipoPago )
    {
        $this->i_IdTipoPago = $i_IdTipoPago;
    }

    /* Obtiene el valor del campo IdTipoPago */
    public function getIdTipoPago()
    {
        return $this->i_IdTipoPago;
    }

    /* Establece el valor del campo IdMoneda */
    public function setIdMoneda( $s_IdMoneda )
    {
        $this->s_IdMoneda = $s_IdMoneda;
    }

    /* Obtiene el valor del campo IdMoneda */
    public function getIdMoneda()
    {
        return $this->s_IdMoneda;
    }

    /* Establece el valor del campo MonedaDes */
    public function setMonedaDes( $s_MonedaDes )
    {
        $this->s_MonedaDes = $s_MonedaDes;
    }

    /* Obtiene el valor del campo MonedaDes */
    public function getMonedaDes()
    {
        return $this->s_MonedaDes;
    }

    /* Establece el valor del campo CierreCantTrans */
    public function setCierreCantTrans( $i_CierreCantTrans )
    {
        $this->i_CierreCantTrans = $i_CierreCantTrans;
    }

    /* Obtiene el valor del campo CierreCantTrans */
    public function getCierreCantTrans()
    {
        return $this->i_CierreCantTrans;
    }

    /* Establece el valor del campo CierreMontoTrans */
    public function setCierreMontoTrans( $f_CierreMontoTrans )
    {
        $this->f_CierreMontoTrans = $f_CierreMontoTrans;
    }

    /* Obtiene el valor del campo CierreMontoTrans */
    public function getCierreMontoTrans()
    {
        return $this->f_CierreMontoTrans;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCierre' => $this->getIdCierre(),
            'IdTipoPago' => $this->getIdTipoPago(),
            'IdMoneda' => $this->getIdMoneda(),
            'MonedaDes' => $this->getMonedaDes(),
            'CierreCantTrans' => $this->getCierreCantTrans(),
            'CierreMontoTrans' => $this->getCierreMontoTrans(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto FCO_CierreAplicacionTipoBN desde un RecordSet */
    public static function retrieveByRs( $o_FCO_CierreAplicacionTipoRs )
    {
        $o_FCO_CierreAplicacionTipoBN = new FCO_CierreAplicacionTipoBN();
        $o_FCO_CierreAplicacionTipoBN->setIdCierre( ( integer ) $o_FCO_CierreAplicacionTipoRs[ "IdCierre" ] );
        $o_FCO_CierreAplicacionTipoBN->setIdTipoPago( ( integer ) $o_FCO_CierreAplicacionTipoRs[ "IdTipoPago" ] );
        $o_FCO_CierreAplicacionTipoBN->setIdMoneda( $o_FCO_CierreAplicacionTipoRs[ "IdMoneda" ] );
        $o_FCO_CierreAplicacionTipoBN->setMonedaDes( $o_FCO_CierreAplicacionTipoRs[ "MonedaDes" ] );
        $o_FCO_CierreAplicacionTipoBN->setCierreCantTrans( ( integer ) $o_FCO_CierreAplicacionTipoRs[ "CierreCantTrans" ] );
        $o_FCO_CierreAplicacionTipoBN->setCierreMontoTrans( ( float ) $o_FCO_CierreAplicacionTipoRs[ "CierreMontoTrans" ] );
        $o_FCO_CierreAplicacionTipoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_FCO_CierreAplicacionTipoRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_FCO_CierreAplicacionTipoBN->setUsuarioCreacion( $o_FCO_CierreAplicacionTipoRs[ "UsuarioCreacion" ] );
        $o_FCO_CierreAplicacionTipoBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_FCO_CierreAplicacionTipoRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_FCO_CierreAplicacionTipoBN->setUsuarioModificacion( $o_FCO_CierreAplicacionTipoRs[ "UsuarioModificacion" ] );
        return $o_FCO_CierreAplicacionTipoBN;
    }
}
?>